# Get contactInformation
Retrieves the properties and relationships of a contact information object for Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
GET businesscentralPrefix/companies({id})/vendors({id})/contactsInformation
GET businesscentralPrefix/companies({id})/customers({id})/contactsInformation
GET https://{businesscentralPrefix}/api/v2.0/companies({id})/contactsInformation$filter=relatedId eq {bankAccountId} and relatedType eq 'Bank Account'
GET https://{businesscentralPrefix}/api/v2.0/companies({id})/contactsInformation$filter=relatedId eq {employeeId} and relatedType eq 'Employee'
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
## Request body
Don't supply a request body for this method.
## Response
If successful, this method returns a ```200 OK``` response code and a contactsInformation object in the response body.
## Example
Request
Here's an example of the request.
```json
GET https://{businesscentralPrefix}/api/v2.0/companies({id})/customers({id})/contactsInformation
```
Response
Here's an example of the response.
```json
{
    {
        "contactId": "8f253caa-82de-ed11-884e-6045bdac97e2",
        "contactNumber": "CT000001",
        "contactName": "Adatum Corporation",
        "contactType": "Company",
        "relatedId": "8e253caa-82de-ed11-884e-6045bdac97e2",
        "relatedType": "Customer"
    },
    {
        "contactId": "91253caa-82de-ed11-884e-6045bdac97e2",
        "contactNumber": "CT000002",
        "contactName": "Robert Townes",
        "contactType": "Person",
        "relatedId": "8e253caa-82de-ed11-884e-6045bdac97e2",
        "relatedType": "Customer"
    }
}
```
## Remarks
This resource type requires Business Central version 18.0.
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_contactinformation

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_contactinformation_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_contactinformation_get/
